Get application token
Returns the requested application token.
Tokens in any status other than ACTIVE result in a 404 error.
Authentication
AuthorizationBearer
An auth_token should be provided to authenticate a session.
To obtain an auth_token, see the /api/v1/authenticate POST request.
Path parameters
id
The id of the application token.
Response
Success
id
Unique ID of this application token.
name
status
roles
The role granted to the token.
created_date
ip_restrictions
IP addresses the token may connect from. Absent where it may connect from any.
expiry_date
Absent for a token created without one through the v1 API.
last_used_date
Absent until the token has been used.
last_used_ip
IP address the token was last used from.
created_by
A user that acted on the token. Absent where an application token acted instead.
last_modified_date
Absent until the token has been modified.
last_modified_by
A user that acted on the token. Absent where an application token acted instead.
deleted_date
Set only once the token has been deleted.
deleted_by
A user that acted on the token. Absent where an application token acted instead.
Errors
403
Forbidden Error
404
Not Found Error